• Documentation
Person
    Social URL to Person (1 credit per request)postGet Person by ID (1 credit per request)postName and Domain to Email (1 credit per request)post
Company
    LinkedIn URL to Company (1 credit per request)postDomain to Company (1 credit per request)postLinkedIn ID to Company (1 credit per request)postGet Company by ID (1 credit per request)post
Validation
    Validate an email address (1 credit)postValidate a phone number (1 credit)post
Search
    Search companiespostProspector searchpostProspector countpostFind a contact by name and company domainpostSearch by job title and company namepostSearch employees at a companypostSearch companies by name (exact or fuzzy)postSearch with AI (free-form text query)post
Field Meta
    Browse City valuespostBrowse Country Code valuespostBrowse Country Name valuespostBrowse Job Title valuespostBrowse State / Province valuespostBrowse Job Function valuespostBrowse Job Level valuespostBrowse Persona valuespostBrowse Company Entity Type valuespostBrowse Company Legal Type valuespostBrowse Industry (LinkedIn) valuespostBrowse CRM Technologies valuespostBrowse Marketing Automation Technologies valuespostBrowse ABM Technologies valuespostBrowse Sales Automation Technologies valuespostBrowse Analytics Technologies valuespostBrowse CMS Technologies valuespostBrowse MarTech Categories valuespostBrowse Conversation Intelligence Technologies valuespostBrowse Cloud Provider Technologies valuespostBrowse Email Hosting Technologies valuespostBrowse Email Security Technologies valuespostBrowse Application Security Technologies valuespostBrowse Cloud Security Technologies valuespostBrowse Development Technologies valuespostBrowse E-commerce Technologies valuespostBrowse ERP Technologies valuespost
User
    Get Credit Balanceget
Schemas
powered by Zudoku
B2BEnrich API
B2BEnrich API

Company

Endpointhttps://api.b2benrich.com

LinkedIn URL to Company (1 credit per request)

POST
https://api.b2benrich.com
/v1/enrich/companies/linkedin-to-company

Enrich company data from a LinkedIn company URL. Cost: 1 credit per request

LinkedIn URL to Company (1 credit per request) › Headers

X-Api-Key
string · required

LinkedIn URL to Company (1 credit per request) › Request Body

Input model for enrichment requests.
input
string · required

Input value for lookup (LinkedIn URL, email, phone, or domain)

LinkedIn URL to Company (1 credit per request) › Responses

Successful Response

Response payload for company enrichment.
status
string

Status of the request

Default: success

Company record ID

Company data, null if not found

POST/v1/enrich/companies/linkedin-to-company
curl --request POST \
  --url https://api.b2benrich.com/v1/enrich/companies/linkedin-to-company \
  --header 'Content-Type: application/json' \
  --header 'X-Api-Key: <string>' \
  --data '
{
  "input": "https://www.linkedin.com/company/google"
}
'
shell
Example Request Body
{
  "input": "https://www.linkedin.com/company/google"
}
json
application/json
Example Responses
{
  "status": "status",
  "company_id": 0,
  "data": {
    "id": 0,
    "name": "string",
    "domain": "string",
    "linkedin_url": "string",
    "linkedin_id": 0,
    "about": {
      "company_name": "string",
      "description": "string",
      "industry": "string",
      "entity_type": "string",
      "legal_type": "string",
      "sic_code": "string",
      "revenue_range": "string",
      "employees_range": "string"
    },
    "analytics": {
      "organic_monthly_visits": 0,
      "paid_monthly_visits": 0,
      "total_monthly_visits": 0
    },
    "funding": {
      "last_funding_date": "string",
      "last_funding_amount": 0,
      "last_funding_type": "string",
      "number_of_investors": 0,
      "total_funding_amount": 0
    },
    "location": {
      "hq_city": "string",
      "hq_state": "string",
      "hq_country": "string"
    },
    "technologies": {
      "technologies": [
        "string"
      ]
    }
  }
}
json
application/json

Domain to Company (1 credit per request)

POST
https://api.b2benrich.com
/v1/enrich/companies/domain-to-company

Enrich company data from a company domain. Cost: 1 credit per request

Domain to Company (1 credit per request) › Headers

X-Api-Key
string · required

Domain to Company (1 credit per request) › Request Body

Input model for enrichment requests.
input
string · required

Input value for lookup (LinkedIn URL, email, phone, or domain)

Domain to Company (1 credit per request) › Responses

Successful Response

Response payload for company enrichment.
status
string

Status of the request

Default: success

Company record ID

Company data, null if not found

POST/v1/enrich/companies/domain-to-company
curl --request POST \
  --url https://api.b2benrich.com/v1/enrich/companies/domain-to-company \
  --header 'Content-Type: application/json' \
  --header 'X-Api-Key: <string>' \
  --data '
{
  "input": "google.com"
}
'
shell
Example Request Body
{
  "input": "google.com"
}
json
application/json
Example Responses
{
  "status": "status",
  "company_id": 0,
  "data": {
    "id": 0,
    "name": "string",
    "domain": "string",
    "linkedin_url": "string",
    "linkedin_id": 0,
    "about": {
      "company_name": "string",
      "description": "string",
      "industry": "string",
      "entity_type": "string",
      "legal_type": "string",
      "sic_code": "string",
      "revenue_range": "string",
      "employees_range": "string"
    },
    "analytics": {
      "organic_monthly_visits": 0,
      "paid_monthly_visits": 0,
      "total_monthly_visits": 0
    },
    "funding": {
      "last_funding_date": "string",
      "last_funding_amount": 0,
      "last_funding_type": "string",
      "number_of_investors": 0,
      "total_funding_amount": 0
    },
    "location": {
      "hq_city": "string",
      "hq_state": "string",
      "hq_country": "string"
    },
    "technologies": {
      "technologies": [
        "string"
      ]
    }
  }
}
json
application/json

LinkedIn ID to Company (1 credit per request)

POST
https://api.b2benrich.com
/v1/enrich/companies/linkedin-id-to-company

Enrich company data from a LinkedIn numeric company ID. Cost: 1 credit per request

LinkedIn ID to Company (1 credit per request) › Headers

X-Api-Key
string · required

LinkedIn ID to Company (1 credit per request) › Request Body

Input model for LinkedIn numeric ID-based enrichment requests.
linkedin_id
integer · required

LinkedIn numeric company ID (linkedin_url_id)

LinkedIn ID to Company (1 credit per request) › Responses

Successful Response

Response payload for company enrichment.
status
string

Status of the request

Default: success

Company record ID

Company data, null if not found

POST/v1/enrich/companies/linkedin-id-to-company
curl --request POST \
  --url https://api.b2benrich.com/v1/enrich/companies/linkedin-id-to-company \
  --header 'Content-Type: application/json' \
  --header 'X-Api-Key: <string>' \
  --data '
{
  "linkedin_id": 1441
}
'
shell
Example Request Body
{
  "linkedin_id": 1441
}
json
application/json
Example Responses
{
  "status": "status",
  "company_id": 0,
  "data": {
    "id": 0,
    "name": "string",
    "domain": "string",
    "linkedin_url": "string",
    "linkedin_id": 0,
    "about": {
      "company_name": "string",
      "description": "string",
      "industry": "string",
      "entity_type": "string",
      "legal_type": "string",
      "sic_code": "string",
      "revenue_range": "string",
      "employees_range": "string"
    },
    "analytics": {
      "organic_monthly_visits": 0,
      "paid_monthly_visits": 0,
      "total_monthly_visits": 0
    },
    "funding": {
      "last_funding_date": "string",
      "last_funding_amount": 0,
      "last_funding_type": "string",
      "number_of_investors": 0,
      "total_funding_amount": 0
    },
    "location": {
      "hq_city": "string",
      "hq_state": "string",
      "hq_country": "string"
    },
    "technologies": {
      "technologies": [
        "string"
      ]
    }
  }
}
json
application/json

Get Company by ID (1 credit per request)

POST
https://api.b2benrich.com
/v1/enrich/companies/get-by-id

Enrich company data by internal company ID. Cost: 1 credit per request

Get Company by ID (1 credit per request) › Headers

X-Api-Key
string · required

Get Company by ID (1 credit per request) › Request Body

Input model for ID-based enrichment requests.
id
integer · required

Internal record ID

Get Company by ID (1 credit per request) › Responses

Successful Response

Response payload for company enrichment.
status
string

Status of the request

Default: success

Company record ID

Company data, null if not found

POST/v1/enrich/companies/get-by-id
curl --request POST \
  --url https://api.b2benrich.com/v1/enrich/companies/get-by-id \
  --header 'Content-Type: application/json' \
  --header 'X-Api-Key: <string>' \
  --data '{
  "id": 26462341
}'
shell
Example Request Body
{
  "id": 26462341
}
json
application/json
Example Responses
{
  "status": "status",
  "company_id": 0,
  "data": {
    "id": 0,
    "name": "string",
    "domain": "string",
    "linkedin_url": "string",
    "linkedin_id": 0,
    "about": {
      "company_name": "string",
      "description": "string",
      "industry": "string",
      "entity_type": "string",
      "legal_type": "string",
      "sic_code": "string",
      "revenue_range": "string",
      "employees_range": "string"
    },
    "analytics": {
      "organic_monthly_visits": 0,
      "paid_monthly_visits": 0,
      "total_monthly_visits": 0
    },
    "funding": {
      "last_funding_date": "string",
      "last_funding_amount": 0,
      "last_funding_type": "string",
      "number_of_investors": 0,
      "total_funding_amount": 0
    },
    "location": {
      "hq_city": "string",
      "hq_state": "string",
      "hq_country": "string"
    },
    "technologies": {
      "technologies": [
        "string"
      ]
    }
  }
}
json
application/json

PersonValidation